Module javafx.base
Package javafx.util

# Interface BuilderFactory

All Known Implementing Classes:
  `JavaFXBuilderFactory`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BuilderFactory
Interface representing a builder factory. Builder factories are used to produce builders.

Since:
  JavaFX 2.0

## Method Summary

Modifier and Type
Method
Description
`Builder<?>`
`getBuilder(Class<?> type)`
Returns a builder suitable for constructing instances of the given type.

## Method Details

### getBuilder

Builder<?> getBuilder(Class<?> type)
Returns a builder suitable for constructing instances of the given type.

Parameters:
  `type` - the given type or null
Returns:
  A builder for the given type, or `null` if this factory does not produce builders for the type.